---
title: GitHub Contributors
description: 'GitHub Contributors'
---

## About

Cloud Posse maintains 300+ projects under our GitHub organization. All of our projects have stemmed from past 
consulting engagements with our customers. Everything we do is Open Sourced under our GitHub under the permissive APACHE2 license. With so many projects, however, it wouldn't be possible to maintain all of them if we didn't have the 
support from our community and some tools to make life easier.

## Our Tools

Here are some of the tools we depend on for running our Open Source organization.

| Tool            | Description                                                                                                                    |
| --------------- | ------------------------------------------------------------------------------------------------------------------------------ |
| `geodesic`      | [Cloud Automation Shell](https://github.com/cloudposse/geodesic) that we use as the base Docker image for many of our projects |
| `build-harness` | Our collection of GNU-style `Makefiles` for building stuff                                                                     |
| `README.yaml`   | Our specification for generating beautiful READMEs                                                                             |
| `packages`      | Our toolchain that we rely on throughout our projects                                                                          |
| GitHub Actions  | Our CI/CD Platform                                                                                                             |

## How to Become a Contributor

Becoming a contributor is easy. Just start opening Pull Requests with enhancements, bug fixes, or other improvements. 
Once we take notice, we'll reach out to you. We recommend that you start by participating in the 
[`#pr-reviews`](https://slack.cloudposse.com/) channel. This way we'll work with you directly. 

## Responsibilities

* Participate in Code Reviews. Help us out by reviewing pull requests from our community.
* Report issues and provide feedback for how we can improve processes.
* Help answer questions from our community of tens of thousands users from around the world.
* Cutting releases when Pull Requests are merged to master.

## Current Contributors

We're grateful to our volunteers helping to review community pull requests.

| Avatar                                                                           | GitHub Username                              | Name          |
| -------------------------------------------------------------------------------- | -------------------------------------------- | ------------- |
| ![osterman](https://img.cloudposse.com/75x75/http://github.com/osterman.png)     | [@osterman](https://github.com/osterman)     | Erik Osterman |
| ![aknysh](https://img.cloudposse.com/75x75/http://github.com/aknysh.png)         | [@aknysh](https://github.com/aknysh)         | Andriy Knyshh |
| ![goruha](https://img.cloudposse.com/75x75/http://github.com/goruha.png)         | [@goruha](https://github.com/goruha)         | Igor Rodionov |
| ![nuru](https://img.cloudposse.com/75x75/http://github.com/nuru.png)             | [@nuru](https://github.com/nuru)             | Jeremy        |
| ![jamengual](https://img.cloudposse.com/75x75/http://github.com/jamengual.png)   | [@jamengual](https://github.com/jamengual)   | PePe Amengual |
| ![adamcrews](https://img.cloudposse.com/75x75/http://github.com/adamcrews.png)   | [@adamcrews](https://github.com/jamengual)   | Adam Crews    |
| ![nitrocode](https://img.cloudposse.com/75x75/http://github.com/nitrocode.png)   | [@nitrocode](https://github.com/nitrocode)   | Ronak         |
| ![RothAndrew](https://img.cloudposse.com/75x75/http://github.com/RothAndrew.png) | [@RothAndrew](https://github.com/RothAndrew) | Andrew Roth   |
| ![Gowiem](https://img.cloudposse.com/75x75/http://github.com/Gowiem.png)         | [@Gowiem](https://github.com/Gowiem)         | Matt Gowie    |
